####################################################################################################################
#  Each item modifier record contains the following fields:
#  1) Modifier id: used for referencing modifiers in other files.
#  2) Modifier name: how this modifier will change item name, with %s being substituted by item's base name.
#  3) Price modifier: coefficient for item price when modifier is in effect.
#  4) Rarity modifier: how common are items with this modifier.
####################################################################################################################

item_modifiers = [

    ("plain", "Plain %s", 1.000000, 1.000000),              #
    ("cracked", "Cracked %s", 0.500000, 1.000000),          # -5 damage, -4 armor, -46 hp
    ("rusty", "Rusty %s", 0.550000, 1.000000),              # -3 damage, -3 armor
    ("bent", "Bent %s", 0.650000, 1.000000),                # -3 damage,                   -3 speed
    ("chipped", "Chipped %s", 0.720000, 1.000000),          # -1 damage
    ("battered", "Battered %s", 0.750000, 1.000000),        #            -2 armor, -26 hp
    ("poor", "Poor %s", 0.800000, 1.000000),                #!
    ("crude", "Crude %s", 0.830000, 1.000000),              # -2 damage, -1 armor
    ("old", "Old %s", 0.860000, 1.000000),                  #!
    ("cheap", "Cheap %s", 0.900000, 1.000000),              #!
    ("fine", "Fine %s", 1.900000, 0.600000),                # +1 damage
    ("well_made", "Well_Made %s", 2.500000, 0.500000),      # USED FOR TRADE GOODS
    ("sharp", "Sharp %s", 1.600000, 0.600000),              #!
    ("balanced", "Balanced %s", 3.500000, 0.500000),        # +3 damage,                   +3 speed
    ("tempered", "Tempered %s", 6.700000, 0.400000),        # +4 damage
    ("deadly", "Deadly %s", 8.500000, 0.300000),            #! 
    ("exquisite", "Exquisite %s", 14.500000, 0.300000),     # USED FOR TRADE GOODS
    ("masterwork", "Masterwork %s", 17.500000, 0.300000),   # +5 damage,                   +1 speed, +4 prerequisite
    ("heavy", "Heavy %s", 1.900000, 0.700000),              # +2 damage, +3 armor, +10 hp, -2 speed, +1 prerequisite, +4 horse charge
    ("strong", "Strong %s", 4.900000, 0.400000),            # +3 damage,                   -3 speed, +2 preresuisite
    ("powerful", "Powerful %s", 3.200000, 0.400000),        #!
    ("tattered", "Tattered %s", 0.500000, 1.000000),        #            -3 armor
    ("ragged", "Ragged %s", 0.700000, 1.000000),            #            -2 armor
    ("rough", "Rough %s", 0.600000, 1.000000),              # USED FOR TRADE GOODS
    ("sturdy", "Sturdy %s", 1.700000, 0.500000),            #            +1 armor
    ("thick", "Thick %s", 2.600000, 0.350000),              #            +2 armor, +47 hp
    ("hardened", "Hardened %s", 3.900000, 0.300000),        #            +3 armor
    ("reinforced", "Reinforced %s", 6.500000, 0.250000),    #            +4 armor, +83 hp
    ("superb", "Superb %s", 2.500000, 0.250000),            #!
    ("lordly", "Lordly %s", 11.500000, 0.250000),           #            +6 armor, +155 hp
    ("lame", "Lame %s", 0.400000, 1.000000),                # -5 horse maneuver (weapon speed), -10 horse (projectile) speed
    ("swaybacked", "Swaybacked %s", 0.600000, 1.000000),    # -2 horse maneuver (weapon speed), -4 horse (projectile) speed
    ("stubborn", "Stubborn %s", 0.900000, 1.000000),        #                       +5 hp,           +1 prerequisite
    ("timid", "Timid %s", 1.800000, 1.000000),              #                                        -1 prerequisite
    ("meek", "Meek %s", 1.800000, 1.000000),                #!
    ("spirited", "Spirited %s", 6.500000, 0.600000),        # +1 horse maneuver (weapon speed), +2 horse (projectile) speed, +1 horse charge, +1 prerequisite
    ("champion", "Champion %s", 14.500000, 0.200000),       # +2 horse maneuver (weapon speed), +4 horse (projectile) speed, +2 horse charge, +2 prerequisite
    ("fresh", "Fresh %s", 1.000000, 1.000000),              # (used for foods)
    ("day_old", "Day-old %s", 1.000000, 1.000000),          # (used for foods)
    ("two_day_old", "Two Days-old %s", 0.900000, 1.000000), # (used for foods)
    ("smelling", "Smelling %s", 0.400000, 1.000000),        # (used for foods)
    ("rotten", "Rotten %s", 0.050000, 1.000000),            # (used for foods)
    ("large_bag", "Large Bag of %s", 1.900000, 0.300000),   # increased item amount, repeated shot for crossbows

]


_items = [

#other trade goods (first one is spice)
["spice","Spice", [("spice_sack",0)], itp_merchandise|itp_type_goods|itp_consumable, 0, 880,weight(40)|abundance(25)|max_ammo(50),imodbit_fine|imodbit_strong|imodbit_lordly|imodbit_well_made|imodbit_exquisite|imodbit_large_bag],
["salt","Salt", [("salt_sack",0)], itp_merchandise|itp_type_goods, 0, 255,weight(50)|abundance(120),imodbit_fine|imodbit_well_made|imodbit_exquisite|imodbit_rough|imodbit_large_bag],
["oil","Oil", [("oil",0)], itp_merchandise|itp_type_goods|itp_consumable, 0, 450,weight(50)|abundance(60)|max_ammo(50),imodbit_fine|imodbit_thick|imodbit_lordly|imodbit_well_made|imodbit_exquisite],
["pottery","Pottery", [("jug",0)], itp_merchandise|itp_type_goods, 0, 100,weight(50)|abundance(90),imodbit_battered|imodbit_crude|imodbit_fine|imodbit_masterwork|imodbit_strong|imodbit_sturdy|imodbit_hardened|imodbit_lordly|imodbit_well_made|imodbit_exquisite|imodbit_rough],
["raw_flax","Flax Bundle", [("raw_flax",0)], itp_merchandise|itp_type_goods, 0, 150,weight(40)|abundance(90),imodbit_fine|imodbit_strong|imodbit_sturdy|imodbit_exquisite|imodbit_rough],
["linen","Linen", [("linen",0)], itp_merchandise|itp_type_goods, 0, 250,weight(40)|abundance(90),imodbit_battered|imodbit_fine|imodbit_masterwork|imodbit_strong|imodbit_tattered|imodbit_ragged|imodbit_sturdy|imodbit_thick|imodbit_lordly|imodbit_well_made|imodbit_exquisite|imodbit_rough],
["wool","Wool", [("wool_sack",0)], itp_merchandise|itp_type_goods, 0, 130,weight(40)|abundance(90),imodbit_fine|imodbit_strong|imodbit_sturdy|imodbit_exquisite|imodbit_rough|imodbit_large_bag],
["wool_cloth","Wool Cloth", [("wool_cloth",0)], itp_merchandise|itp_type_goods, 0, 250,weight(40)|abundance(90),imodbit_battered|imodbit_fine|imodbit_masterwork|imodbit_strong|imodbit_tattered|imodbit_ragged|imodbit_sturdy|imodbit_thick|imodbit_lordly|imodbit_well_made|imodbit_exquisite|imodbit_rough],
["raw_silk","Raw Silk", [("raw_silk_bundle",0)], itp_merchandise|itp_type_goods, 0, 600,weight(30)|abundance(90),imodbit_fine|imodbit_strong|imodbit_sturdy|imodbit_exquisite|imodbit_rough],
["raw_dyes","Dyes", [("dyes",0)], itp_merchandise|itp_type_goods, 0, 200,weight(10)|abundance(90),imodbit_fine|imodbit_strong|imodbit_well_made|imodbit_exquisite],
["velvet","Velvet", [("velvet",0)], itp_merchandise|itp_type_goods, 0, 1025,weight(40)|abundance(30),imodbit_fine|imodbit_masterwork|imodbit_strong|imodbit_tattered|imodbit_ragged|imodbit_sturdy|imodbit_thick|imodbit_lordly|imodbit_well_made|imodbit_exquisite],
["iron","Iron", [("iron",0)], itp_merchandise|itp_type_goods, 0,264,weight(60)|abundance(60),imodbit_rusty|imodbit_fine|imodbit_tempered|imodbit_hardened],
["tools","Tools", [("iron_hammer",0)], itp_merchandise|itp_type_goods, 0, 410,weight(50)|abundance(90),imodbit_rusty|imodbit_bent|imodbit_chipped|imodbit_battered|imodbit_crude|imodbit_fine|imodbit_tempered|imodbit_masterwork|imodbit_strong|imodbit_hardened|imodbit_well_made|imodbit_rough],
# NE quests
["lumber", "Lumber", [("timber", 0)], itp_merchandise|itp_type_goods, 0, 204, weight(60)|abundance( 80), imodbit_crude|imodbit_fine|imodbit_strong|imodbit_hardened|imodbit_reinforced|imodbit_rough],
# NE end quests
["raw_leather","Hides", [("leatherwork_inventory",0)], itp_merchandise|itp_type_goods, 0, 120,weight(40)|abundance(90),imodbit_battered|imodbit_fine|imodbit_strong|imodbit_sturdy|imodbit_thick|imodbit_exquisite|imodbit_rough],
["leatherwork","Leatherwork", [("leatherwork_frame",0)], itp_merchandise|itp_type_goods, 0, 220,weight(40)|abundance(90),imodbit_battered|imodbit_fine|imodbit_masterwork|imodbit_strong|imodbit_tattered|imodbit_ragged|imodbit_sturdy|imodbit_thick|imodbit_hardened|imodbit_reinforced|imodbit_lordly|imodbit_well_made|imodbit_exquisite|imodbit_rough],
["raw_date_fruit","Date Fruit", [("date_inventory",0)], itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 120,weight(40)|food_quality(10)|max_ammo(10),imodbit_fine|imodbit_exquisite],
["furs","Furs", [("fur_pack",0)], itp_merchandise|itp_type_goods, 0, 391,weight(40)|abundance(90),imodbit_battered|imodbit_fine|imodbit_tattered|imodbit_ragged|imodbit_sturdy|imodbit_thick|imodbit_lordly|imodbit_exquisite|imodbit_large_bag],
#foods (first one is smoked_fish)
["smoked_fish","Smoked Fish", [("smoked_fish",0)], itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 65,weight(15)|abundance(110)|food_quality(50)|max_ammo(50),imodbit_fine|imodbit_lordly|imodbit_exquisite],
["cheese","Cheese", [("cheese_b",0)], itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 75,weight(6)|abundance(110)|food_quality(40)|max_ammo(30),imodbit_fine|imodbit_lordly|imodbit_well_made|imodbit_exquisite],
["honey","Honey", [("honey_pot",0)], itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 220,weight(5)|abundance(110)|food_quality(40)|max_ammo(30),imodbit_fine|imodbit_lordly|imodbit_exquisite],
["sausages","Sausages", [("sausages",0)], itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 85,weight(10)|abundance(110)|food_quality(40)|max_ammo(40),imodbit_fine|imodbit_lordly|imodbit_well_made|imodbit_exquisite],
["cabbages","Cabbages", [("cabbage",0)], itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 30,weight(15)|abundance(110)|food_quality(40)|max_ammo(50),imodbit_fine|imodbit_lordly|imodbit_exquisite],
["dried_meat","Dried Meat", [("smoked_meat",0)], itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 85,weight(15)|abundance(100)|food_quality(70)|max_ammo(50),imodbit_fine],
["apples","Fruit", [("apple_basket",0)], itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 44,weight(20)|abundance(110)|food_quality(40)|max_ammo(50),imodbit_fine|imodbit_lordly|imodbit_exquisite],
["raw_grapes","Grapes", [("grapes_inventory",0)], itp_merchandise|itp_consumable|itp_type_goods, 0, 75,weight(40)|abundance(90)|food_quality(10)|max_ammo(10),imodbit_fine|imodbit_lordly|imodbit_exquisite],
["raw_olives","Olives", [("olive_inventory",0)], itp_merchandise|itp_consumable|itp_type_goods, 0, 100,weight(40)|abundance(90)|food_quality(10)|max_ammo(10),imodbit_fine|imodbit_lordly|imodbit_exquisite],
["grain","Grain", [("wheat_sack",0)], itp_merchandise|itp_type_goods|itp_consumable, 0, 30,weight(30)|abundance(110)|food_quality(40)|max_ammo(50),imodbit_fine|imodbit_large_bag],
# NE misc
# wine and ale shouldn't be consumables, to prevent low quality feasts
["hardtack","Hardtack",[("bread_slice_a", 0)],itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 100, weight( 5)|abundance(110)|food_quality(40)|max_ammo(150),imodbit_well_made],
["wine","Wine", [("amphora_slim",0)], itp_merchandise|itp_type_goods, 0, 220,weight(30)|abundance(60)|max_ammo(50),imodbit_fine|imodbit_strong|imodbit_lordly|imodbit_well_made|imodbit_exquisite],
["ale","Ale", [("ale_barrel",0)], itp_merchandise|itp_type_goods, 0, 120,weight(30)|abundance(70)|max_ammo(50),imodbit_fine|imodbit_strong|imodbit_lordly|imodbit_well_made|imodbit_exquisite],
# Ne end misc
["cattle_meat","Beef", [("raw_meat",0)], itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 80,weight(20)|abundance(100)|food_quality(80)|max_ammo(50),imodbit_plain],
["bread","Bread", [("bread_a",0)], itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 50,weight(30)|abundance(110)|food_quality(40)|max_ammo(50),imodbit_fine|imodbit_lordly|imodbit_well_made|imodbit_exquisite],
["chicken","Chicken", [("chicken",0)], itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 95,weight(10)|abundance(110)|food_quality(40)|max_ammo(50),imodbit_plain],
["pork","Pork", [("pork",0)], itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 75,weight(15)|abundance(100)|food_quality(70)|max_ammo(50),imodbit_plain],
["butter","Butter", [("butter_pot",0)], itp_merchandise|itp_type_goods|itp_consumable|itp_food, 0, 150,weight(6)|abundance(110)|food_quality(40)|max_ammo(30),imodbit_fine|imodbit_lordly|imodbit_well_made|imodbit_exquisite],

]